<div class="container planet" [ngClass]="{'highlighted': planet.highlighted}" [ngStyle]="planet.highlighted ? {
         'border': '3px solid',
         'border-image': 'linear-gradient(to right, ' + calculateRobotProportions() + ') 1 stretch'
     } : {}" [style.background-image]="getBackgroundImage(planet.resourceType)"
  (click)="copyToClipboard(planet.planetId)">

  <div class="row">
    <div *ngIf="planetInformation[0] === true">
      <div *ngIf="materialType === 'image'">
        <img [src]="planet.resourceType" alt="" class="planet-image" *ngIf="planet.resource.capacity > 0"
          [title]="getResourceName(planet.resourceType)" [ngStyle]="{'transform': 'scale(' + materialImageScale + ')'}">
      </div>
      <div *ngIf="materialType === 'text'" class="material-text">
        <u>{{ getResourceName(planet.resourceType) !== 'nothing' ? getResourceName(planet.resourceType) : ''}}</u>
      </div>
    </div>
    <div *ngIf="planetInformation[1] === true">
      <div class="planet-info-wrapper">
        <div class=" planetInfo" [ngClass]="{'always-show': showInfo}" *ngIf="planet.resource.amount > 0">
          {{ formatNumber(planet.resource.amount) }}
          <span class="actual-amount-tooltip">{{ planet.resource.amount }}</span>
        </div>
      </div>
    </div>
    <div *ngIf="planetInformation[2] === true" class="col-12 planet-status" [ngClass]="{
          'planet-status-peaceful': calculatePlanetStatus() === 'peaceful',
          'planet-status-fighting': calculatePlanetStatus() === 'fighting'
        }">
      <div class="planet-info-wrapper">
        {{ planet.robots.length > 0 && planet.resource.amount > 0 ? calculatePlanetStatus() : ""}}
      </div>
    </div>
  </div>

  <div class="copied-message" [class]="copiedClass">Planet ID Copied!</div>

  <div class="row" style="margin-top: 25px;">
    <div class="col-12" *ngIf="planet.robots.length > 0">
      <div class="robots-container">
        <div class="spinner" *ngIf="!allRobotsLoaded()"></div>

        <ng-container *ngIf="getDisplayedRobots().length <= 5">
          <img *ngFor="let robot of getDisplayedRobots()"
               [src]="robotImageType === 'random' ? robot.img[0] : robot.img[1]"
               alt="" class="robot-image" (load)="onRobotImageLoad(robot.robotId)"
               [ngStyle]="{'transform': 'scale(' + robotScale + ')'}"
               [style.border]="'2px solid ' + getPlayerColorOfRobot(robot)"
               [title]="robot.name">
        </ng-container>
        <div *ngIf="getDisplayedRobots().length >= 6" class="robot-cluster-count"
          [ngStyle]="{'background-image': 'linear-gradient(to right, ' + calculateRobotProportions() + ')'}">
          {{ getDisplayedRobots().length }}
        </div>
      </div>
    </div>
  </div>
</div>
